Subject: Re: [tsvwg] I-D Action: draft-ietf-tsvwg-sctp-failover-04.txt

From: Yoshifumi Nishida <[email-masked]>
Date: Tue, 1 Jul 2014 00:26:32 -0700

Hi,
We've submitted a new version of SCTP quick failover draft.
We've added some changes in order to reflect the previous comments we've
received. The main parts of changes are the followings.

1: Restructuring of some sections
    We've moved some sections that are not directly related to the spec for
quick failover (related works, some discussions for side effects) to
Appendix
2: Clarifying the logics for quick failover with standards recommendations
    We've added explicit recommendations in the behavior of quick failover
(Section 4)
3: Updating abstract to provide clearer view of the document

If you have any questions, comments or suggestions, please let us know.

Regards,
--
Yoshi

On Mon, Jun 30, 2014 at 10:37 PM,  <[email-masked]> wrote:
>
> A New Internet-Draft is available from the on-line Internet-Drafts
directories.
>  This draft is a work item of the Transport Area Working Group Working
Group of the IETF.
>
>         Title           : Quick Failover Algorithm in SCTP
>         Authors         : Yoshifumi Nishida
>                           Preethi Natarajan
>                           Armando Caro
>                           Paul D. Amer
>                           Karen E. E. Nielsen
>         Filename        : draft-ietf-tsvwg-sctp-failover-04.txt
>         Pages           : 17
>         Date            : 2014-06-30
>
> Abstract:
>    One of the major advantages of SCTP is that it supports multi-homed
>    communication.  A multi-homed SCTP end-point has the ability to
>    withstand network failures by migrating the traffic from an inactive
>    network to an active one.  However, if the [RFC4960] specified
>    failover operation is followed there can be a significant delay in
>    the migration to the active destination addresses, thus severely
>    reducing the effectiveness of SCTP multi-homed operation.
>
>    The memo complements RFC4960 by the introduction of the Potentially
>    Failed state and associated new Quick Failover operation to apply
>    during network failure and specifies for SCTP senders to support this
>    more performance optimal failover procedure as an add-on to the
>    [RFC4960] failover operation.  The memo in addition updates [RFC4960]
>    by clarifying a number of issues related to the path management
>    operation during periods of partial or complete network failures.
>    Finally the memo complements [RFC4960] by introduction of alternative
>    switchover operation modes for the data transfer path management
>    after a failover.  These operation modes offer for more performance
>    optimal operation in some network environments.  From the perspective
>    of this memo the implementation of the additional switchover
>    operation modes is considered optional.
>
>    The procedures defined require only minimal modifications to the
>    current specification.  The procedures are sender-side only and do
>    not impact the SCTP receiver.
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-tsvwg-sctp-failover/
>
> There's also a htmlized version available at:
> http://tools.ietf.org/html/draft-ietf-tsvwg-sctp-failover-04
>
> A diff from the previous version is available at:
> http://www.ietf.org/rfcdiff?url2=draft-ietf-tsvwg-sctp-failover-04
>
>
> Please note that it may take a couple of minutes from the time of
submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt